Skip to main content
POST
Create Category

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
name
string
required

Must not be greater than 255 characters.

Example:

"tjqotbhpzwonwlzospqcs"

parent_id
string | null
Example:

null

path
string | null

Must match the regex /^[a-z0-9-]+$/.

Example:

"o"

description
string | null

Must not be greater than 1000 characters.

Example:

"Quaerat ut fuga non quibusdam itaque ut quia at."

image_id
string | null
Example:

null

meta_title
string | null

Must not be greater than 255 characters.

Example:

"zospqcsnssrciatkmatld"

meta_description
string | null

Must not be greater than 255 characters.

Example:

"znkaapjptdhyldmarwuvl"

color
string | null

Must not be greater than 7 characters.

Example:

"v"

order
integer | null
Example:

6

metadata
string | null

Must not be greater than 65535 characters.

Example:

"jqotbhpzwonwlzospqcsn"

Response

200